Search documentation of ExStreamClient

# ExStreamClient.Model.ChannelOwnCapability (ExStreamClient v0.1.10)

View Source

Schema representing a ChannelOwnCapability

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() ::
      :"upload-file"
      | :"update-thread"
      | :"update-own-message"
      | :"update-channel-members"
      | :"update-channel"
      | :"update-any-message"
      | :"typing-events"
      | :"slow-mode"
      | :"skip-slow-mode"
      | :"set-channel-cooldown"
      | :"send-typing-events"
      | :"send-restricted-visibility-message"
      | :"send-reply"
      | :"send-reaction"
      | :"send-poll"
      | :"send-message"
      | :"send-links"
      | :"send-custom-events"
      | :"search-messages"
      | :"read-events"
      | :"quote-message"
      | :"query-poll-votes"
      | :"pin-message"
      | :"mute-channel"
      | :"leave-channel"
      | :"join-channel"
      | :"freeze-channel"
      | :"flag-message"
      | :"delete-own-message"
      | :"delete-channel"
      | :"delete-any-message"
      | :"create-attachment"
      | :"connect-events"
      | :"cast-poll-vote"
      | :"ban-channel-members"

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()